Page MenuHomePhabricator

Problems accesing superset and horizon.wikimedia.org
Closed, ResolvedPublic

Description

I'm trying to login to https://superset.wikimedia.org/ but my credentials are being rejected. I've also tried with horizon.wikimedia.org and getting an "Invalid credentials" response.

I'm not sure if my username is diego or dsaez, but I tried both, and none of them worked.

Event Timeline

diego created this task.May 22 2020, 7:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2020, 7:37 PM
Andrew added a subscriber: Andrew.May 22 2020, 8:09 PM

Horizon requires 2fa setup via wikitech, so probably best to not include that as a test case.

For comparison's sake, my ldap credentials are:

uid=andrew,ou=people,dc=wikimedia,dc=org
uid: andrew
cn: Andrew Bogott
sn: andrew

I can log into both superset and netbox as 'andrew'. Most other developer account sites require my full name 'Andrew Bogott'.

@diego, your ldap record looks like this:

10910 uid=dsaez,ou=people,dc=wikimedia,dc=org
uid: dsaez
sn: Diego
cn: Diego

So I would guess that you can log into superset as 'dsaez' but it /might/ be that your login is Diego. I would not expect all-lower-case 'diego' to work anywhere for much of anything.

diego added a comment.May 22 2020, 8:39 PM

Hi @Andrew

Horizon requires 2fa setup via wikitech, so probably best to not include that as a test case.

Yes, I know, I use horizon a lot. I have the 2fa configured, but now is not working.

So I would guess that you can log into superset as 'dsaez' but it /might/ be that your login is Diego. I would not expect all-lower-case 'diego' to work anywhere for much of anything.

I've tried that too, with no success.

Aklapper removed subscribers: LDAP, Operations.

Are Superset/Horizon the only services not working for you? https://wikitech.wikimedia.org/wiki/LDAP/Groups#wmf_group is a list of all services enabled by your "wmf" group membership, can you e.g. log into Icinga or Logstash?

diego added a comment.May 25 2020, 3:54 PM

HI @MoritzMuehlenhoff, just tried logtash, but failed too. Can we try to reset my password?

Ups! I thought was a different procedure, thanks for clarifying, problem solved.

diego closed this task as Resolved.May 26 2020, 12:46 PM